<div id="order-success" style="min-height: 815px">
  <div style="max-width: 1536px" class="mx-auto">
    <div class="d-flex align-center justify-center mt-4">
      <img
        src="~/assets/images/order-success.webp"
        alt=""
        width="96"
        height="96"
      />
    </div>
    <div class="mt-4">
      <p class="mb-0 fsize-16 fweight-600 lightSemanticSuccess text-center">
        Order Success!
      </p>
      <p
        class="mb-0 fsize-11 font-weight-medium colorGreyHeaderTable text-center"
      >
        Payment Is Successfully And Your Order Is On The Way
      </p>
      <div class="mt-8 mx-auto px-6 px-md-0" style="max-width: 450px">
        <p class="mb-0 text-lg text-[#4a4a4a] font-weight-bold">
          Thanks for purchasing!
        </p>
        <div class="mt-4">
          <p class="mb-0 fsize-14">
            An order confirmation email will be sent you. In case you can't find
            it in the mailbox, please check your spam/junk/promotion mail
            folder. We have received your order, and we are sending an email to
            make sure we can connect to you!
          </p>
          <p class="mt-3 mb-0">
            Your order name:
            <span class="font-weight-bold"> {{orderCode}} </span>
          </p>
        </div>
      </div>
      <!-- <p
        class="mb-0 fsize-11 font-weight-medium colorGreyHeaderTable text-center"
      >
        Order Code: {{orderCode}}
      </p> -->
    </div>
    <div class="mt-4 mb-6 line-order-success mx-auto"></div>
    <div class="pa-6">
      <v-row>
        <v-col cols="12" sm="9">
          <v-card color="#F9FAFB" class="elevation-0 pa-5">
            <p class="mb-0 fsize-20 fweight-600 contentBlack">Order Summary</p>
            <div
              class="mt-5"
              v-if="order && order.listSelectedProductId && order.listSelectedProductId.length"
            >
              <div v-for="(product,i) in order.listSelectedProductId" :key="i">
                <v-divider class="my-5" v-if="i > 0"></v-divider>
                <v-row no-gutters>
                  <v-col cols="12" md="6">
                    <div class="d-flex align-center">
                      <div class="d-flex align-center">
                        <img
                          :src="convertImage(product)"
                          alt=""
                          width="64"
                          height="64"
                        />
                      </div>
                      <div class="ml-4">
                        <p
                          class="mb-0 fsize-14 font-weight-medium contrentBlack"
                        >
                          {{product && product.productName}}
                        </p>
                        <div
                          class=""
                          style="gap: 8px"
                          v-if="product && product.listVariant"
                        >
                          <p
                            class="mb-0 mt-2 fsize-14 font-weight-medium contrentBlack"
                            v-for="(variant, i) in Object.keys(product.listVariant)"
                          >
                            <span class="font-weight-bold lightContentPrimary">
                              {{ variant }}</span
                            >: {{ product.listVariant[variant] }}
                          </p>
                        </div>
                        <div v-else>
                          <p
                            class="mb-0 mt-2 fsize-14 font-weight-medium contrentBlack"
                            v-if="product && product.listValue && product.listValue.length"
                          >
                            {{product && product.listValue &&
                            product.listValue.join(" / ")}}
                          </p>
                        </div>
                      </div>
                    </div>
                  </v-col>
                  <v-col cols="12" md="2">
                    <div
                      class="d-flex align-center justify-space-between d-md-block"
                    >
                      <p
                        class="mb-0 colorGreyHeaderTable fsize-14 fweight-400 text-center"
                      >
                        Price
                      </p>
                      <p
                        class="mb-0 mt-1 fsize-14 fweight-400 contentBlack text-center"
                      >
                        ${{Math.round(product.price * 100) / 100}}
                      </p>
                    </div>
                  </v-col>
                  <v-col cols="12" md="2">
                    <div
                      class="d-flex align-center justify-space-between d-md-block"
                    >
                      <p
                        class="mb-0 colorGreyHeaderTable fsize-14 fweight-400 text-center"
                      >
                        Quantity
                      </p>
                      <p
                        class="mb-0 mt-1 fsize-14 fweight-400 contentBlack text-center"
                      >
                        {{product.quantity}}
                      </p>
                    </div>
                  </v-col>
                  <v-col cols="12" md="2">
                    <div
                      class="d-flex align-center justify-space-between d-md-block"
                    >
                      <p
                        class="mb-0 colorGreyHeaderTable fsize-14 fweight-400 text-center"
                      >
                        Total
                      </p>
                      <p
                        class="mb-0 mt-1 fsize-14 fweight-400 contentBlack text-center"
                      >
                        ${{Math.round(product.price * product.quantity * 100) /
                        100}}
                      </p>
                    </div>
                  </v-col>
                </v-row>
              </div>
            </div>
          </v-card>
        </v-col>
        <v-col cols="12" sm="3">
          <v-card color="#F9FAFB" class="elevation-0 pa-5">
            <div class="d-flex align-center justify-space-between">
              <p class="mb-0 fsize-20 fweight-600 contentBlack">
                Price Details
              </p>
              <p
                class="mb-0 colorGreyHeaderTable fsize-14 fweight-400 text-center"
              >
                (<span
                  v-if="order && order.listSelectedProductId && order.listSelectedProductId.length"
                  >{{order.listSelectedProductId.length}}
                </span>
                items)
              </p>
            </div>
            <v-divider class="my-3"></v-divider>
            <div>
              <div class="d-flex align-center justify-space-between">
                <p class="mb-0 fsize-14 fweight-400 contentBlack">Subtotal:</p>
                <p class="mb-0 fsize-12 fweight-600 contentBlack">
                  ${{Math.round(order.subTotal * 100) / 100 || 0}}
                </p>
              </div>
              <div class="d-flex align-center justify-space-between mt-2">
                <p class="mb-0 fsize-14 fweight-400 contentBlack">Shipping:</p>
                <p class="mb-0 fsize-12 fweight-600 lightSemanticWarning">
                  ${{Math.round(order.shipping * 100) / 100 || 0}}
                </p>
              </div>
              <div class="d-flex align-center justify-space-between mt-2">
                <p class="mb-0 fsize-14 fweight-400 contentBlack">Tip:</p>
                <p class="mb-0 fsize-12 fweight-600 lightSemanticSuccess">
                  ${{Math.round(order.tip * 100) / 100 || 0}}
                </p>
              </div>
              <div class="d-flex align-center justify-space-between mt-2">
                <p class="mb-0 fsize-14 fweight-400 contentBlack">Coupon:</p>
                <p class="mb-0 fsize-12 fweight-600 lightSemanticSuccess">
                  -${{Math.round(order.discount * 100) / 100 || 0}}
                </p>
              </div>
              <v-divider class="mt-2"></v-divider>
              <div class="d-flex align-center justify-space-between mt-2">
                <p class="mb-0 fsize-14 fweight-400 contentBlack">Total:</p>
                <p class="mb-0 fsize-14 fweight-500 contentBlack">
                  ${{(Math.round(order.total * 100) / 100) || 0}}
                </p>
              </div>
            </div>
          </v-card>
          <v-card color="#F9FAFB" class="elevation-0 pa-5 mt-6">
            <div class="d-flex align-center justify-space-between">
              <p class="mb-0 fsize-20 fweight-600 contentBlack">Contact</p>
            </div>
            <v-divider class="my-3"></v-divider>
            <div class="d-flex align-center justify-space-between">
              <p
                class="mb-0 fsize-14 fweight-400 contentBlack"
                v-if="order && order.shippingAddress"
              >
                {{order.shippingAddress.email}}
                <br />
                <span> {{order.shippingAddress.phoneNumber}} </span>
              </p>
            </div>
          </v-card>
          <v-card color="#F9FAFB" class="elevation-0 pa-5 mt-6">
            <div class="d-flex align-center justify-space-between">
              <p class="mb-0 fsize-20 fweight-600 contentBlack">
                Shipping Address
              </p>
            </div>
            <v-divider class="my-3"></v-divider>
            <div class="d-flex align-center justify-space-between">
              <p
                class="mb-0 fsize-14 fweight-400 contentBlack"
                style="max-width: 200px"
                v-if="order && order.shippingAddress"
              >
                {{order.shippingAddress.firstName}}
                {{order.shippingAddress.lastName}},
                {{order.shippingAddress.address}},
                <span
                  v-if="order && order.shippingAddress && order.shippingAddress.apartment"
                >
                  {{order.shippingAddress.apartment}},
                </span>
                <span
                  v-if="order && order.shippingAddress && order.shippingAddress.state"
                  >{{order.shippingAddress.state}},</span
                >
                {{order.shippingAddress.city}},
                {{order.shippingAddress.country}},
                {{order.shippingAddress.zipCode}},
                {{order.shippingAddress.phoneNumber}}
              </p>
              <nuxt-link
                :to="`${slug ? `/${slug}` : ''}/pages/track/find?email=${email}&order_code=${orderCode.replace('#', '')}`"
              >
                <p class="mb-0 fsize-14 font-weight-medium lightContentBlue">
                  Tracking Order
                </p>
              </nuxt-link>
            </div>
          </v-card>
          <v-card
            color="#F9FAFB"
            class="elevation-0 pa-5 mt-6"
            v-if="order && order.billingAddress"
          >
            <div class="d-flex align-center justify-space-between">
              <p class="mb-0 fsize-20 fweight-600 contentBlack">
                Billing Address
              </p>
            </div>
            <v-divider class="my-3"></v-divider>
            <div class="d-flex align-center justify-space-between">
              <p
                class="mb-0 fsize-14 fweight-400 contentBlack"
                style="max-width: 200px"
              >
                {{order.billingAddress.firstName}}
                {{order.billingAddress.lastName}},
                {{order.billingAddress.address}},
                <span
                  v-if="order && order.billingAddress && order.billingAddress.apartment"
                >
                  {{order.billingAddress.apartment}},
                </span>
                <span
                  v-if="order && order.billingAddress && order.billingAddress.state"
                  >{{order.billingAddress.state}},</span
                >
                {{order.billingAddress.city}}, {{order.billingAddress.country}},
                {{order.billingAddress.zipCode}},
                {{order.billingAddress.phoneNumber}}
              </p>
              <!-- <nuxt-link
                :to="`${slug ? `/${slug}` : ''}/pages/track/find?email=${email}&order_code=${orderCode.replace('#', '')}`"
              >
                <p class="mb-0 fsize-14 font-weight-medium lightContentBlue">
                  Tracking Order
                </p>
              </nuxt-link> -->
            </div>
          </v-card>
          <v-card color="#F9FAFB" class="elevation-0 pa-5 mt-6">
            <div class="d-flex align-center justify-space-between">
              <p class="mb-0 fsize-20 fweight-600 contentBlack">
                Payment Method
              </p>
            </div>
            <v-divider class="my-3"></v-divider>
            <p class="mb-0 fsize-14 fweight-400 contentBlack">
              This order is paid by
              <span class="font-weight-bold" v-if="order && order.paypal">
                Paypal
              </span>
              <span class="font-weight-bold" v-else>Card</span>.
            </p>
          </v-card>
        </v-col>
      </v-row>
    </div>
  </div>
</div>
